#ifdef __cplusplus
extern "C" {
#endif
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
#ifdef __cplusplus
}
#endif

#include <ggi/gii.h>

MODULE = GII::Event::PButton		PACKAGE = GII::Event::PButton	

gii_event *
_alloc(discard)
	void *		discard
        CODE:
        RETVAL = calloc(sizeof(gii_pbutton_event), 1);
        OUTPUT:
        RETVAL

size_t
default_size(discard)
	void *		discard
        CODE:
        RETVAL = sizeof(gii_pbutton_event);
        OUTPUT:
        RETVAL

uint32
get_button(discard, ev)
	void *		discard
        gii_event *     ev
        CODE:
        RETVAL = ev->pbutton.button;
        OUTPUT:
        RETVAL

uint32
set_button(discard, ev, val)
	void *		discard
        gii_event *     ev
        uint32          val
        CODE:
        RETVAL = ev->pbutton.button;
        ev->pbutton.button = val;
        OUTPUT:
        RETVAL


uint32
GII_PBUTTON(x)
	uint32	x
	CODE:
	RETVAL = x;
	OUTPUT:
	RETVAL

uint32
PBUTTON_NONE()
	CODE:
	RETVAL = GII_PBUTTON_NONE;
	OUTPUT:
	RETVAL

uint32
PBUTTON_LEFT()
	CODE:
	RETVAL = GII_PBUTTON_LEFT;
	OUTPUT:
	RETVAL

uint32
PBUTTON_PRIMARY()
	CODE:
	RETVAL = GII_PBUTTON_PRIMARY;
	OUTPUT:
	RETVAL

uint32
PBUTTON_FIRST()
	CODE:
	RETVAL = GII_PBUTTON_FIRST;
	OUTPUT:
	RETVAL

uint32
PBUTTON_RIGHT()
	CODE:
	RETVAL = GII_PBUTTON_RIGHT;
	OUTPUT:
	RETVAL

uint32
PBUTTON_SECONDARY()
	CODE:
	RETVAL = GII_PBUTTON_SECONDARY;
	OUTPUT:
	RETVAL

uint32
PBUTTON_SECOND()
	CODE:
	RETVAL = GII_PBUTTON_SECOND;
	OUTPUT:
	RETVAL

uint32
PBUTTON_MIDDLE()
	CODE:
	RETVAL = GII_PBUTTON_MIDDLE;
	OUTPUT:
	RETVAL

uint32
PBUTTON_TERTIARY()
	CODE:
	RETVAL = GII_PBUTTON_TERTIARY;
	OUTPUT:
	RETVAL

uint32
PBUTTON_THIRD()
	CODE:
	RETVAL = GII_PBUTTON_THIRD;
	OUTPUT:
	RETVAL

